REM &1 = REQPRO_INDEX
REM &2 = SMALL
REM &3 = MEDIUM
REM &4 = LARGE

CREATE INDEX RQDISCUSSIONS_ROOTID_X ON RQDISCUSSIONS (ROOTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQDOCHIST_VERSIONUSERID_X ON RQDOCUMENTHISTORY (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQDOCS_DOCTYPEID_X ON RQDOCUMENTS (DOCUMENTTYPEID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQDOCS_VERSIONUSERID_X ON RQDOCUMENTS (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQDOCUMENTS_RQGUID_X ON RQDOCUMENTS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQDOCUMENTTYPES_RQGUID_X ON RQDOCUMENTTYPES (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPACKAGES_RQGUID_X ON RQPACKAGES (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE UNIQUE INDEX RQPACKAGES_PROJPARENTNAME_U ON RQPACKAGES (PROJECTID,PARENTID,NAME)
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);
	
CREATE INDEX RQPACKAGES_PARENTID_X ON RQPACKAGES (PARENTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);
	
CREATE INDEX RQPACKELEMS_PACKAGEID_X ON RQPACKAGEELEMENTS (PACKAGEID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQPACKELEMS_REQUIREMENTID_X ON RQPACKAGEELEMENTS (REQUIREMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQPKGELM_DOCID_X ON RQPACKAGEELEMENTS (DOCUMENTID)
        TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQPKGELM_VIEWID_X ON RQPACKAGEELEMENTS (VIEWID)
        TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE UNIQUE INDEX RQPACKELEMS_UK ON RQPACKAGEELEMENTS (REQUIREMENTID,DOCUMENTID,VIEWID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);
	
CREATE INDEX RQPROJEXTPROJS_EXTPROJID_X ON RQPROJECTEXTERNALPROJECTS
	(EXTERNALPROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPROJEXTPROJS_PROJID_X ON RQPROJECTEXTERNALPROJECTS (PROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPROJHIST_VERSIONUSERID_X ON RQPROJECTHISTORY (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPROJS_AUTHORID_X ON RQPROJECTS (AUTHORID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPROJS_VERSIONUSERID_X ON RQPROJECTS (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQPROJECTS_RQGUID_X ON RQPROJECTS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQQUERYDEFS_QUERYUSERID_X ON RQQUERYDEFINITIONS(QUERYUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQQUERYDEFINITIONS_RQGUID_X ON RQQUERYDEFINITIONS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQREQHIST_VERSIONUSERID_X ON RQREQUIREMENTHISTORY (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &4 NEXT &4 PCTINCREASE 0);

CREATE INDEX RQREQS_BOOKMARKDOCID_X ON RQREQUIREMENTS (BOOKMARKDOCUMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQREQS_REQTYPEID_X ON RQREQUIREMENTS (REQUIREMENTTYPEID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQREQS_VERSIONUSERID_X ON RQREQUIREMENTS (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQREQS_LONGTAGNBR_X ON RQREQUIREMENTS (LONGTAGNUMBER)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQREQUIREMENTS_RQGUID_X ON RQREQUIREMENTS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQREQUIREMENTTYPES_RQGUID_X ON RQREQUIREMENTTYPES (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQREQTYPESTYLES_REQTYPEID_X ON RQREQUIREMENTTYPESTYLES (REQUIREMENTTYPEID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQTORELATIONS_EXTPROJID_X ON RQTORELATIONSHIPS (EXTERNALPROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQTORELATIONS_EXTPROJTOID_X ON RQTORELATIONSHIPS (EXTERNALPROJECTTOID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQTORELATIONS_REQID_X ON RQTORELATIONSHIPS (REQUIREMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQTORELATIONS_TOID_X ON RQTORELATIONSHIPS (TOID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQTORELATIONS_VERSIONUSERID_X ON RQTORELATIONSHIPS (VERSIONUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);
		 
CREATE INDEX RQUDFDCRLVL_DOCID_X ON RQUSERDEFINEDDOCRELVALUES (DOCUMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUDFDCRLVL_FLDID_X ON RQUSERDEFINEDDOCRELVALUES (FIELDID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUSERDEFINEDFIELDS_RQGUID_X ON RQUSERDEFINEDFIELDS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUSERDEFFIELDUSERS_PROJID_X ON RQUSERDEFINEDFIELDUSERS (PROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQUSERDEFLISTITEMS_RQGUID_X ON RQUSERDEFINEDLISTITEMS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQUSRDEFLSTITEMUSERS_PROJID_X ON RQUSERDEFINEDLISTITEMUSERS (PROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQUSRDEFLSTVALUES_FIELDID_X ON RQUSERDEFINEDLISTVALUES (FIELDID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQUSRDEFLSTVALUES_REQID_X ON RQUSERDEFINEDLISTVALUES (REQUIREMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &3 NEXT &3 PCTINCREASE 0);

CREATE INDEX RQUDFRQRLVL_REQID_X ON RQUSERDEFINEDRELVALUES (REQUIREMENTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUDFRQRLVL_FLDID_X ON RQUSERDEFINEDRELVALUES (FIELDID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUSERS_GROUPID_X ON RQUSERS (GROUPID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUSERS_RQGUID_X ON RQUSERS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQUSERGROUPS_RQGUID_X ON RQUSERGROUPS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_PROJID_X ON RQVIEWS (PROJECTID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_QUERYID_X ON RQVIEWS (QUERYID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_REQTYPEID_X ON RQVIEWS (REQUIREMENTTYPEID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_SECONDARYQUERYID_X ON RQVIEWS (SECONDARYQUERYID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_SECONDARYREQTYPEID_X ON RQVIEWS (SECONDARYREQTYPEID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_RQGUID_X ON RQVIEWS (RQGUID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQVIEWS_VIEWUSERID_X ON RQVIEWS (VIEWUSERID)
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);

CREATE INDEX RQGENTMP_SESSION_X ON RQGENERICTABLETEMP (SESSIONID,ID);
	TABLESPACE &1
	STORAGE(INITIAL &2 NEXT &2 PCTINCREASE 0);
